Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class Pattern

    java.lang.Object
      org.joone.engine.Pattern

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Pattern

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

The pattern object contains the data that must be processed from a neural net. It can contain the input data or the training data.

See Also:
  Serialized Form

Constructor Summary
`Pattern()` Default Constructor Added for Save As XML
`Pattern(double[] arr)`

Method Summary
`java.lang.Object` | `clone()`
`double[]` | `getArray()`
`int` | `getCount()`
`double[]` | `getOutArray()` Getter for property outArray.
`double[]` | `getValues()` Getter for property values.
`void` | `setArray(double[] arr)`
`void` | `setCount(int n)`
`void` | `setOutArray(double[] outArray)` Setter for property outArray.
`void` | `setValue(int point, double value)`
`void` | `setValues(double[] values)` Setter for property values.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pattern

    public Pattern()

  Default Constructor Added for Save As XML

### Pattern

    public Pattern(double[] arr)

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getArray

    public double[] getArray()

### getCount

    public int getCount()

### setArray

    public void setArray(double[] arr)

### setCount

    public void setCount(int n)

### setValue

    public void setValue(int point,
                         double value)

### getOutArray

    public double[] getOutArray()

  Getter for property outArray.

  Returns:
    Value of property outArray.

### setOutArray

    public void setOutArray(double[] outArray)

  Setter for property outArray.

  Parameters:
    `outArray` - New value of property outArray.

### getValues

    public double[] getValues()

  Getter for property values. Added for XML serialization

  Returns:
    Value of property values.

### setValues

    public void setValues(double[] values)

  Setter for property values. Added for XML serialization

  Parameters:
    `values` - New value of property values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net